searchNodes=[{"doc":"Some structs and functions to work with dates, times, durations, periods, and intervals.","ref":"Tox.html","title":"Tox","type":"module"},{"doc":"Boundaries specifies whether the start and end of an interval are included or excluded.:open: start and end are excluded:closed: start and end are included:left_open: start is excluded and end is included:right_open: start is included and end is excluded","ref":"Tox.html#t:boundaries/0","title":"Tox.boundaries/0","type":"type"},{"doc":"An amount of time with a specified unit e.g. {second: 500}.","ref":"Tox.html#t:duration/0","title":"Tox.duration/0","type":"type"},{"doc":"Units related to dates and times.","ref":"Tox.html#t:unit/0","title":"Tox.unit/0","type":"type"},{"doc":"A set of functions to work with Date.","ref":"Tox.Date.html","title":"Tox.Date","type":"module"},{"doc":"Adds durations to the given date.The durations is a keyword list of one or more durations of the type Tox.duration e.g. [year: 1, month: 5, day: 500]. All values will be added from the largest to the smallest unit.Examplesiex&gt; date = ~D[1980-11-01] iex&gt; Tox.Date.add(date, year: 2) ~D[1982-11-01] iex&gt; Tox.Date.add(date, year: -2, month: 1, day: 40) ~D[1979-01-10] # time units will be ignored iex&gt; Tox.Date.add(date, hour: 100, minute: 10, second: 10) ~D[1980-11-01]Adding a month at the end of the month can update the day too.iex&gt; Tox.Date.add(~D[2000-01-31], month: 1) ~D[2000-02-29]For that reason it is important to know that all values will be added from the largest to the smallest unit.iex&gt; date = ~D[2000-01-30] iex&gt; Tox.Date.add(date, month: 1, day: 1) ~D[2000-03-01] iex&gt; date |&gt; Tox.Date.add(month: 1) |&gt; Tox.Date.add(day: 1) ~D[2000-03-01] iex&gt; date |&gt; Tox.Date.add(day: 1) |&gt; Tox.Date.add(month: 1) ~D[2000-02-29]Using add/2 with a different calendar.iex&gt; ~D[2000-12-30] ...&gt; |&gt; Date.convert!(Cldr.Calendar.Coptic) ...&gt; |&gt; Tox.Date.add(day: 3) %Date{year: 1717, month: 4, day: 24, calendar: Cldr.Calendar.Coptic}","ref":"Tox.Date.html#add/2","title":"Tox.Date.add/2","type":"function"},{"doc":"Returns true if date1 occurs after date2.Examplesiex&gt; Tox.Date.after?(~D[2020-06-14], ~D[2020-06-22]) false iex&gt; Tox.Date.after?(~D[2020-07-14], ~D[2020-06-22]) true iex&gt; Tox.Date.after?(~D[2020-01-01], ~D[2020-01-01]) false iex&gt; Tox.Date.after?( ...&gt; Date.convert!(~D[2000-01-22], Cldr.Calendar.Coptic), ...&gt; Date.convert!(~D[2000-01-01], Cldr.Calendar.Coptic) ...&gt; ) true","ref":"Tox.Date.html#after?/2","title":"Tox.Date.after?/2","type":"macro"},{"doc":"Returns true if date1 occurs after date2 or both dates are equal.Examplesiex&gt; Tox.Date.after_or_equal?(~D[2020-06-14], ~D[2020-06-22]) false iex&gt; Tox.Date.after_or_equal?(~D[2020-07-14], ~D[2020-06-22]) true iex&gt; Tox.Date.after_or_equal?(~D[2020-01-01], ~D[2020-01-01]) true iex&gt; Tox.Date.after_or_equal?( ...&gt; Date.convert!(~D[2000-01-22], Cldr.Calendar.Ethiopic), ...&gt; Date.convert!(~D[2000-01-01], Cldr.Calendar.Ethiopic) ...&gt; ) true","ref":"Tox.Date.html#after_or_equal?/2","title":"Tox.Date.after_or_equal?/2","type":"macro"},{"doc":"Returns true if date1 occurs before date2.Examplesiex&gt; Tox.Date.before?(~D[2020-06-14], ~D[2020-06-22]) true iex&gt; Tox.Date.before?(~D[2020-07-14], ~D[2020-06-22]) false iex&gt; Tox.Date.before?(~D[2020-01-01], ~D[2020-01-01]) false iex&gt; Tox.Date.before?( ...&gt; Date.convert!(~D[2000-01-22], Cldr.Calendar.Ethiopic), ...&gt; Date.convert!(~D[2000-06-01], Cldr.Calendar.Ethiopic) ...&gt; ) true","ref":"Tox.Date.html#before?/2","title":"Tox.Date.before?/2","type":"macro"},{"doc":"Returns true if date1 occurs before date2 or both dates are equal.Examplesiex&gt; Tox.Date.before_or_equal?(~D[2020-06-14], ~D[2020-06-22]) true iex&gt; Tox.Date.before_or_equal?(~D[2020-07-14], ~D[2020-06-22]) false iex&gt; Tox.Date.before_or_equal?(~D[2020-01-01], ~D[2020-01-01]) true iex&gt; Tox.Date.before_or_equal?( ...&gt; Date.convert!(~D[2000-01-22], Cldr.Calendar.Ethiopic), ...&gt; Date.convert!(~D[2000-06-01], Cldr.Calendar.Ethiopic) ...&gt; ) true","ref":"Tox.Date.html#before_or_equal?/2","title":"Tox.Date.before_or_equal?/2","type":"macro"},{"doc":"Returns a date representing the start of the month.Examplesiex&gt; Tox.Date.beginning_of_month(~D[2020-11-11]) ~D[2020-11-01]","ref":"Tox.Date.html#beginning_of_month/1","title":"Tox.Date.beginning_of_month/1","type":"function"},{"doc":"Returns a date representing the start of the week.Examplesiex&gt; Tox.Date.beginning_of_week(~D[2020-11-13]) ~D[2020-11-09]","ref":"Tox.Date.html#beginning_of_week/1","title":"Tox.Date.beginning_of_week/1","type":"function"},{"doc":"Returns a date representing the start of the year.Examplesiex&gt; Tox.Date.beginning_of_year(~D[2020-11-11]) ~D[2020-01-01]","ref":"Tox.Date.html#beginning_of_year/1","title":"Tox.Date.beginning_of_year/1","type":"function"},{"doc":"Returns a boolean indicating whether date occurs between from and to. The optional boundaries specifies whether from and to are included or not. The possible value for boundaries are::open: from and to are excluded:closed: from and to are included:left_open: from is excluded and to is included:right_open: from is included and to is excludedExamplesiex&gt; from = ~D[2020-02-01] iex&gt; to = ~D[2020-03-01] iex&gt; Tox.Date.between?(~D[2020-01-01], from, to) false iex&gt; Tox.Date.between?(~D[2020-02-05], from, to) true iex&gt; Tox.Date.between?(~D[2020-03-05], from, to) false iex&gt; Tox.Date.between?(~D[2020-02-01], from, to) true iex&gt; Tox.Date.between?(~D[2020-03-01], from, to) false iex&gt; Tox.Date.between?(~D[2020-02-01], from, to, :open) false iex&gt; Tox.Date.between?(~D[2020-03-01], from, to, :open) false iex&gt; Tox.Date.between?(~D[2020-02-01], from, to, :closed) true iex&gt; Tox.Date.between?(~D[2020-03-01], from, to, :closed) true iex&gt; Tox.Date.between?(~D[2020-02-01], from, to, :left_open) false iex&gt; Tox.Date.between?(~D[2020-03-01], from, to, :left_open) true iex&gt; Tox.Date.between?(~D[2000-01-01], to, from) ** (ArgumentError) from is equal or greater as to","ref":"Tox.Date.html#between?/4","title":"Tox.Date.between?/4","type":"function"},{"doc":"Returns a date representing the end of the month.Examplesiex&gt; Tox.Date.end_of_month(~D[2020-11-11]) ~D[2020-11-30] iex&gt; ~D[2020-12-31] ...&gt; |&gt; Date.convert!(Cldr.Calendar.Coptic) ...&gt; |&gt; Tox.Date.add(day: 1) ...&gt; |&gt; Tox.Date.end_of_month() %Date{year: 1737, month: 4, day: 30, calendar: Cldr.Calendar.Coptic}","ref":"Tox.Date.html#end_of_month/1","title":"Tox.Date.end_of_month/1","type":"function"},{"doc":"Returns a date representing the end of the week.Examplesiex&gt; Tox.Date.end_of_week(~D[2020-11-11]) ~D[2020-11-15] iex&gt; ~D[2020-11-11] ...&gt; |&gt; Date.convert!(Cldr.Calendar.Ethiopic) ...&gt; |&gt; Tox.Date.end_of_week() %Date{year: 2013, month: 3, day: 6, calendar: Cldr.Calendar.Ethiopic}","ref":"Tox.Date.html#end_of_week/1","title":"Tox.Date.end_of_week/1","type":"function"},{"doc":"Returns a date representing the end of the year. If the date cannot be determined, {:error, reason} is returned.Examplesiex&gt; Tox.Date.end_of_year(~D[2020-11-11]) ~D[2020-12-31] iex&gt; ~D[2020-11-11] iex&gt; |&gt; Date.convert!(Cldr.Calendar.Coptic) iex&gt; |&gt; Tox.Date.end_of_year() %Date{year: 1737, month: 13, day: 5, calendar: Cldr.Calendar.Coptic}","ref":"Tox.Date.html#end_of_year/1","title":"Tox.Date.end_of_year/1","type":"function"},{"doc":"Returns true if both datets are equal.Examplesiex&gt; Tox.Date.equal?(~D[2020-07-14], ~D[2020-06-22]) false iex&gt; Tox.Date.equal?(~D[2020-01-01], ~D[2020-01-01]) true iex&gt; ethiopic = Date.convert!(~D[2000-01-01], Cldr.Calendar.Ethiopic) %Date{year: 1992, month: 4, day: 22, calendar: Cldr.Calendar.Ethiopic} iex&gt; coptic = Date.convert!(~D[2000-01-01], Cldr.Calendar.Coptic) %Date{year: 1716, month: 4, day: 22, calendar: Cldr.Calendar.Coptic} iex&gt; Tox.Date.equal?(ethiopic, coptic) true","ref":"Tox.Date.html#equal?/2","title":"Tox.Date.equal?/2","type":"macro"},{"doc":"Returns an {year, week} representing the ISO week number for the specified date.This function is just defined for dates with Calendar.ISO.Exampleiex&gt; Tox.Date.week(~D[2017-01-01]) {2016, 52} iex&gt; Tox.Date.week(~D[2020-01-01]) {2020, 1} iex&gt; Tox.Date.week(~D[2019-12-31]) {2020, 1} iex&gt; ~D[2020-06-04] ...&gt; |&gt; Date.convert(Cldr.Calendar.Ethiopic) ...&gt; |&gt; Tox.Date.week() ** (FunctionClauseError) no function clause matching in Tox.Date.week/1","ref":"Tox.Date.html#week/1","title":"Tox.Date.week/1","type":"function"},{"doc":"A set of functions to work with DateTime.All examples are using TimeZoneInfo.TimeZoneDatabase. But everything also works with any other time zone DB as long as the time zones are available in the DB.","ref":"Tox.DateTime.html","title":"Tox.DateTime","type":"module"},{"doc":"Adds durations to the given datetime.The durations is a keyword list of one or more durations of the type Tox.duration e.g. [year: 1, day: 5, minute: 500]. All values will be added from the largest to the smallest unit.Examplesiex&gt; datetime = DateTime.from_naive!(~N[1980-11-01 00:00:00], &quot;Europe/Oslo&quot;) iex&gt; Tox.DateTime.add(datetime, year: 2) #DateTime&lt;1982-11-01 00:00:00+01:00 CET Europe/Oslo&gt; iex&gt; Tox.DateTime.add(datetime, year: -2, month: 1, hour: 48) #DateTime&lt;1978-12-03 00:00:00+01:00 CET Europe/Oslo&gt; iex&gt; Tox.DateTime.add(datetime, hour: 10, minute: 10, second: 10) #DateTime&lt;1980-11-01 10:10:10+01:00 CET Europe/Oslo&gt;Adding a month at the end of the month can update the day too.iex&gt; datetime = DateTime.from_naive!(~N[2000-01-31 00:00:00], &quot;Europe/Oslo&quot;) iex&gt; Tox.DateTime.add(datetime, month: 1) #DateTime&lt;2000-02-29 00:00:00+01:00 CET Europe/Oslo&gt;For that reason it is important to know that all values will be added from the largest to the smallest unit.iex&gt; datetime = DateTime.from_naive!(~N[2000-01-30 00:00:00], &quot;Europe/Oslo&quot;) iex&gt; Tox.DateTime.add(datetime, month: 1, day: 1) #DateTime&lt;2000-03-01 00:00:00+01:00 CET Europe/Oslo&gt; iex&gt; datetime |&gt; Tox.DateTime.add(month: 1) |&gt; Tox.DateTime.add(day: 1) #DateTime&lt;2000-03-01 00:00:00+01:00 CET Europe/Oslo&gt; iex&gt; datetime |&gt; Tox.DateTime.add(day: 1) |&gt; Tox.DateTime.add(month: 1) #DateTime&lt;2000-02-29 00:00:00+01:00 CET Europe/Oslo&gt;Treatment of time gaps. Usually, a transition to a daily-saving-time causing a time gap. For example, in the time-zone Europe/Berlin, the clocks are advanced by one hour on the last Sunday in March at 02:00. Therefore there is a gap between 02:00 and 03:00. The add/3 function will adjust this by adding or subtracting the difference from the calculated date.# adding a day iex&gt; datetime = DateTime.from_naive!(~N[2020-03-28 02:30:00], &quot;Europe/Berlin&quot;) iex&gt; result = Tox.DateTime.add(datetime, day: 1) #DateTime&lt;2020-03-29 03:30:00+02:00 CEST Europe/Berlin&gt; iex&gt; DateTime.diff(result, datetime) == 24 * 60 * 60 true iex&gt; Tox.DateTime.add(result, day: -1) #DateTime&lt;2020-03-28 03:30:00+01:00 CET Europe/Berlin&gt; # subtracting a day iex&gt; datetime = DateTime.from_naive!(~N[2020-03-30 02:30:00], &quot;Europe/Berlin&quot;) iex&gt; result = Tox.DateTime.add(datetime, day: -1) #DateTime&lt;2020-03-29 01:30:00+01:00 CET Europe/Berlin&gt; iex&gt; DateTime.diff(datetime, result) == 24 * 60 * 60 true iex&gt; Tox.DateTime.add(result, day: 1) #DateTime&lt;2020-03-30 01:30:00+02:00 CEST Europe/Berlin&gt;Treatment of ambiguous times. Usually, a transition from daily-saving-time causing an ambiguous period. For example, in the time-zone Europe/Berlin, the clocks are set back one hour on the last Sunday in October. Therefore the period from 02:00 to 03:00 exists twice on this day. The add/3 function will adjust this by checking if the original datetime later or earlier.# adding a day iex&gt; datetime = DateTime.from_naive!(~N[2020-10-24 02:30:00], &quot;Europe/Berlin&quot;) iex&gt; result = Tox.DateTime.add(datetime, day: 1) #DateTime&lt;2020-10-25 02:30:00+02:00 CEST Europe/Berlin&gt; iex&gt; DateTime.diff(result, datetime) == 24 * 60 * 60 true # subtracting a day iex&gt; datetime = DateTime.from_naive!(~N[2020-10-26 02:30:00], &quot;Europe/Berlin&quot;) iex&gt; result = Tox.DateTime.add(datetime, day: -1) #DateTime&lt;2020-10-25 02:30:00+01:00 CET Europe/Berlin&gt; iex&gt; DateTime.diff(datetime, result) == 24 * 60 * 60 trueUsing add/3 with a different calendar.iex&gt; datetime = ...&gt; ~N[2020-10-26 02:30:00] ...&gt; |&gt; DateTime.from_naive!(&quot;Africa/Nairobi&quot;) ...&gt; |&gt; DateTime.convert!(Cldr.Calendar.Ethiopic) ...&gt; ...&gt; to_string(datetime) &quot;2013-02-16 02:30:00+03:00 EAT Africa/Nairobi&quot; iex&gt; datetime |&gt; Tox.DateTime.add(month: 13) |&gt; to_string() &quot;2014-02-16 02:30:00+03:00 EAT Africa/Nairobi&quot;","ref":"Tox.DateTime.html#add/3","title":"Tox.DateTime.add/3","type":"function"},{"doc":"Returns true if datetime1 occurs after datetime2.Examplesiex&gt; Tox.DateTime.after?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999Z], &quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000001Z], &quot;Etc/UTC&quot;) ...&gt; ) true iex&gt; Tox.DateTime.after?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43Z], &quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43Z], &quot;Etc/UTC&quot;) ...&gt; ) false iex&gt; Tox.DateTime.after?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000001Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999Z],&quot;Etc/UTC&quot;) ...&gt; ) false # with time zone Europe/London (UTC+1) and Europe/Berlin (UTC+2) iex&gt; Tox.DateTime.after?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000999], &quot;Europe/Berlin&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 14:01:43.000001], &quot;Europe/London&quot;) ...&gt; ) true","ref":"Tox.DateTime.html#after?/2","title":"Tox.DateTime.after?/2","type":"macro"},{"doc":"Returns true if datetime1 occurs after datetime2 or both datetimes are equal.Examplesiex&gt; Tox.DateTime.after_or_equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000001Z],&quot;Etc/UTC&quot;) ...&gt; ) true iex&gt; Tox.DateTime.after_or_equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43Z],&quot;Etc/UTC&quot; ) ...&gt; ) true iex&gt; Tox.DateTime.after_or_equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000001Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999Z],&quot;Etc/UTC&quot;) ...&gt; ) false # with time zone Europe/London (UTC+1) and Europe/Berlin (UTC+2) iex&gt; Tox.DateTime.after_or_equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000999], &quot;Europe/Berlin&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 14:01:43.000001], &quot;Europe/London&quot;) ...&gt; ) true","ref":"Tox.DateTime.html#after_or_equal?/2","title":"Tox.DateTime.after_or_equal?/2","type":"macro"},{"doc":"Returns true if datetime1 occurs before datetime2.Examplesiex&gt; Tox.DateTime.before?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000001Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999Z],&quot;Etc/UTC&quot;) ...&gt; ) true iex&gt; Tox.DateTime.before?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43Z],&quot;Etc/UTC&quot;) ...&gt; ) false iex&gt; Tox.DateTime.before?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000001Z],&quot;Etc/UTC&quot;) ...&gt; ) false # with time zone Europe/London (UTC+1) and Europe/Berlin (UTC+2) iex&gt; Tox.DateTime.before?( ...&gt; DateTime.from_naive!(~N[2020-06-14 14:01:43.000001], &quot;Europe/London&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000999], &quot;Europe/Berlin&quot;) ...&gt; ) true","ref":"Tox.DateTime.html#before?/2","title":"Tox.DateTime.before?/2","type":"macro"},{"doc":"Returns true if datetime1 occurs before datetime2 or both datetimes are equal.Examplesiex&gt; Tox.DateTime.before_or_equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000001Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999Z],&quot;Etc/UTC&quot;) ...&gt; ) true iex&gt; Tox.DateTime.before_or_equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43Z],&quot;Etc/UTC&quot;) ...&gt; ) true iex&gt; Tox.DateTime.before_or_equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000001Z],&quot;Etc/UTC&quot;) ...&gt; ) false # with time zone Europe/London (UTC+1) and Europe/Berlin (UTC+2) iex&gt; Tox.DateTime.before_or_equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 14:01:43.000000], &quot;Europe/London&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999], &quot;Europe/Berlin&quot;) ...&gt; ) true","ref":"Tox.DateTime.html#before_or_equal?/2","title":"Tox.DateTime.before_or_equal?/2","type":"macro"},{"doc":"Returns a datetime representing the start of the day.Examplesiex&gt; ~N[2020-03-29 12:00:00] ...&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) ...&gt; |&gt; Tox.DateTime.beginning_of_day() #DateTime&lt;2020-03-29 00:00:00+01:00 CET Europe/Berlin&gt;On a day starting with a gapiex&gt; ~N[2011-04-03 12:00:00] iex&gt; |&gt; DateTime.from_naive!(&quot;Africa/El_Aaiun&quot;) iex&gt; |&gt; Tox.DateTime.beginning_of_day() #DateTime&lt;2011-04-03 01:00:00+01:00 +01 Africa/El_Aaiun&gt;On a day starting with an ambiguous periodiex&gt; datetime = DateTime.from_naive!(~N[2020-10-25 12:00:00], &quot;America/Scoresbysund&quot;) #DateTime&lt;2020-10-25 12:00:00-01:00 -01 America/Scoresbysund&gt; iex&gt; Tox.DateTime.beginning_of_day(datetime) #DateTime&lt;2020-10-25 00:00:00+00:00 +00 America/Scoresbysund&gt;","ref":"Tox.DateTime.html#beginning_of_day/2","title":"Tox.DateTime.beginning_of_day/2","type":"function"},{"doc":"Returns datetime representing the start of the month.Examplesiex&gt; ~N[2020-11-11 11:11:11] iex&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) iex&gt; |&gt; Tox.DateTime.beginning_of_month() #DateTime&lt;2020-11-01 00:00:00+01:00 CET Europe/Berlin&gt; iex&gt; ~N[1969-01-11 12:00:00] iex&gt; |&gt; DateTime.from_naive!(&quot;Antarctica/Casey&quot;) iex&gt; |&gt; Tox.DateTime.beginning_of_month() #DateTime&lt;1969-01-01 08:00:00+08:00 +08 Antarctica/Casey&gt;","ref":"Tox.DateTime.html#beginning_of_month/2","title":"Tox.DateTime.beginning_of_month/2","type":"function"},{"doc":"Returns a datetime representing the start of the week.Examplesiex&gt; ~N[2020-07-22 11:11:11] iex&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) iex&gt; |&gt; Tox.DateTime.beginning_of_week() #DateTime&lt;2020-07-20 00:00:00+02:00 CEST Europe/Berlin&gt;","ref":"Tox.DateTime.html#beginning_of_week/2","title":"Tox.DateTime.beginning_of_week/2","type":"function"},{"doc":"Returns datetime representing the start of the year.Examplesiex&gt; ~N[2020-11-11 11:11:11] iex&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) iex&gt; |&gt; Tox.DateTime.beginning_of_year() #DateTime&lt;2020-01-01 00:00:00+01:00 CET Europe/Berlin&gt; iex&gt; ~N[1969-11-11 12:00:00] iex&gt; |&gt; DateTime.from_naive!(&quot;Antarctica/Casey&quot;) iex&gt; |&gt; Tox.DateTime.beginning_of_year() #DateTime&lt;1969-01-01 08:00:00+08:00 +08 Antarctica/Casey&gt;","ref":"Tox.DateTime.html#beginning_of_year/2","title":"Tox.DateTime.beginning_of_year/2","type":"function"},{"doc":"Returns a boolean indicating whether datetime occurs between from and to. The optional boundaries specifies whether from and to are included or not. The possible value for boundaries are::open: from and to are excluded:closed: from and to are included:left_open: from is excluded and to is included:right_open: from is included and to is excludedExamplesiex&gt; from = DateTime.from_naive!(~N[2020-04-05 12:30:00], &quot;Asia/Omsk&quot;) iex&gt; to = DateTime.from_naive!(~N[2020-04-15 12:30:00], &quot;Asia/Omsk&quot;) iex&gt; datetime = DateTime.from_naive!(~N[2020-04-01 12:30:00], &quot;Asia/Omsk&quot;) iex&gt; Tox.DateTime.between?(datetime, from, to) false iex&gt; datetime = DateTime.from_naive!(~N[2020-04-11 12:30:00], &quot;Asia/Omsk&quot;) iex&gt; Tox.DateTime.between?(datetime, from, to) true iex&gt; datetime = DateTime.from_naive!(~N[2020-04-21 12:30:00], &quot;Asia/Omsk&quot;) iex&gt; Tox.DateTime.between?(datetime, from, to) false iex&gt; Tox.DateTime.between?(from, from, to) true iex&gt; Tox.DateTime.between?(to, from, to) false iex&gt; Tox.DateTime.between?(from, from, to, :open) false iex&gt; Tox.DateTime.between?(to, from, to, :open) false iex&gt; Tox.DateTime.between?(from, from, to, :closed) true iex&gt; Tox.DateTime.between?(to, from, to, :closed) true iex&gt; Tox.DateTime.between?(from, from, to, :left_open) false iex&gt; Tox.DateTime.between?(to, from, to, :left_open) true iex&gt; Tox.DateTime.between?(datetime, to, from) ** (ArgumentError) from is equal or greater as to","ref":"Tox.DateTime.html#between?/4","title":"Tox.DateTime.between?/4","type":"function"},{"doc":"Returns datetime representing the end of the day.Examplesiex&gt; ~N[2020-03-29 01:00:00] ...&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) ...&gt; |&gt; Tox.DateTime.end_of_day() #DateTime&lt;2020-03-29 23:59:59.999999+02:00 CEST Europe/Berlin&gt;On a day ending with a gap.iex&gt; ~N[1916-06-14 12:00:00] ...&gt; |&gt; DateTime.from_naive!(&quot;Africa/Algiers&quot;) ...&gt; |&gt; Tox.DateTime.end_of_day() #DateTime&lt;1916-06-14 22:59:59.999999+00:00 WET Africa/Algiers&gt;On a day ending with an ambiguous period.iex&gt; datetime = DateTime.from_naive!(~N[1931-12-30 12:00:00], &quot;Africa/Accra&quot;) #DateTime&lt;1931-12-30 12:00:00+00:20 +0020 Africa/Accra&gt; iex&gt; Tox.DateTime.end_of_day(datetime) #DateTime&lt;1931-12-30 23:59:59.999999+00:00 GMT Africa/Accra&gt;","ref":"Tox.DateTime.html#end_of_day/2","title":"Tox.DateTime.end_of_day/2","type":"function"},{"doc":"Returns a datetime} representing the end of the month.Examplesiex&gt; ~N[2020-11-11 11:11:11] ...&gt; |&gt; DateTime.from_naive!(&quot;Europe/Amsterdam&quot;) ...&gt; |&gt; Tox.DateTime.end_of_month() #DateTime&lt;2020-11-30 23:59:59.999999+01:00 CET Europe/Amsterdam&gt;","ref":"Tox.DateTime.html#end_of_month/2","title":"Tox.DateTime.end_of_month/2","type":"function"},{"doc":"Returns a datetime representing the end of the week.Examplesiex&gt; ~N[2020-07-22 11:11:11] ...&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) ...&gt; |&gt; Tox.DateTime.end_of_week() #DateTime&lt;2020-07-26 23:59:59.999999+02:00 CEST Europe/Berlin&gt;","ref":"Tox.DateTime.html#end_of_week/2","title":"Tox.DateTime.end_of_week/2","type":"function"},{"doc":"Returns a datetime representing the end of the year.Examplesiex&gt; ~N[2020-03-29 01:00:00] iex&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) iex&gt; |&gt; Tox.DateTime.end_of_year() #DateTime&lt;2020-12-31 23:59:59.999999+01:00 CET Europe/Berlin&gt;With the Ethiopic calendar.iex&gt; datetime = ...&gt; ~N[2020-10-26 02:30:00] ...&gt; |&gt; DateTime.from_naive!(&quot;Africa/Nairobi&quot;) ...&gt; |&gt; DateTime.convert!(Cldr.Calendar.Ethiopic) ...&gt; ...&gt; to_string(datetime) &quot;2013-02-16 02:30:00+03:00 EAT Africa/Nairobi&quot; iex&gt; datetime |&gt; Tox.DateTime.end_of_year() |&gt; to_string() &quot;2013-13-05 23:59:59.999999+03:00 EAT Africa/Nairobi&quot;","ref":"Tox.DateTime.html#end_of_year/2","title":"Tox.DateTime.end_of_year/2","type":"function"},{"doc":"Returns true if both datetimes are equal.Examplesiex&gt; Tox.DateTime.equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000001Z],&quot;Etc/UTC&quot;) ...&gt; ) false iex&gt; Tox.DateTime.equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43Z],&quot;Etc/UTC&quot;) ...&gt; ) true iex&gt; Tox.DateTime.equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000001Z],&quot;Etc/UTC&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.999999Z],&quot;Etc/UTC&quot;) ...&gt; ) false # with time zone Europe/London (UTC+1) and Europe/Berlin (UTC+2) iex&gt; Tox.DateTime.equal?( ...&gt; DateTime.from_naive!(~N[2020-06-14 15:01:43.000999], &quot;Europe/Berlin&quot;), ...&gt; DateTime.from_naive!(~N[2020-06-14 14:01:43.000999], &quot;Europe/London&quot;) ...&gt; ) true","ref":"Tox.DateTime.html#equal?/2","title":"Tox.DateTime.equal?/2","type":"macro"},{"doc":"Returns an {year, week} representing the ISO week number for the specified date.This function is just defined for datetimes with Calendar.ISO.Exampleiex&gt; ~N[2017-01-01 01:00:00] ...&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) ...&gt; |&gt; Tox.DateTime.week() {2016, 52} iex&gt; ~N[2020-01-01 01:00:00] ...&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) ...&gt; |&gt; Tox.DateTime.week() {2020, 1} iex&gt; ~N[2019-12-31 01:00:00] ...&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) ...&gt; |&gt; Tox.DateTime.week() {2020, 1} iex&gt; ~N[2020-06-04 11:12:13] ...&gt; |&gt; DateTime.from_naive!(&quot;Etc/UTC&quot;) ...&gt; |&gt; DateTime.convert(Cldr.Calendar.Coptic) ...&gt; |&gt; Tox.DateTime.week() ** (FunctionClauseError) no function clause matching in Tox.DateTime.week/1","ref":"Tox.DateTime.html#week/1","title":"Tox.DateTime.week/1","type":"function"},{"doc":"An Interval struct and functions.A time interval is the intervening time between two time points. The amount of intervening time is expressed by a by a combination of DateTime/DateTime, Datetime/Period or Period/DateTime.The key boundaries specifies if the start and ending belongs to the interval.Valid values for boundaries are::open: start and ending are excluded:closed: start and ending are included:left_open: start is excluded and ending is included:right_open: (default) start is included and ending is excludedExamplesThe default :right_open:iex&gt; datetime = DateTime.from_naive!(~N[2020-04-10 00:00:00], &quot;America/Rainy_River&quot;) iex&gt; {:ok, interval} = Tox.Interval.new( ...&gt; datetime, Tox.Period.new!(day: 1) ...&gt; ) iex&gt; interval #Tox.Interval&lt;[2020-04-10T00:00:00-05:00/P1D[&gt; iex&gt; Tox.Interval.contains?(interval, datetime) true iex&gt; Tox.Interval.contains?(interval, Tox.DateTime.add(datetime, day: 1)) falseWith boundaries set to :open:iex&gt; datetime = DateTime.from_naive!(~N[2020-04-10 00:00:00], &quot;America/Rainy_River&quot;) iex&gt; {:ok, interval} = Tox.Interval.new( ...&gt; datetime, Tox.Period.new!(day: 1), :open ...&gt; ) iex&gt; interval #Tox.Interval&lt;]2020-04-10T00:00:00-05:00/P1D[&gt; iex&gt; Tox.Interval.contains?(interval, datetime) false iex&gt; Tox.Interval.contains?(interval, Tox.DateTime.add(datetime, day: 1)) falseWith boundaries set to :left_open:iex&gt; datetime = DateTime.from_naive!(~N[2020-04-10 00:00:00], &quot;America/Rainy_River&quot;) iex&gt; {:ok, interval} = Tox.Interval.new( ...&gt; datetime, Tox.Period.new!(day: 1), :left_open ...&gt; ) iex&gt; interval #Tox.Interval&lt;]2020-04-10T00:00:00-05:00/P1D]&gt; iex&gt; Tox.Interval.contains?(interval, datetime) false iex&gt; Tox.Interval.contains?(interval, Tox.DateTime.add(datetime, day: 1)) trueWith boundaries set to :closed:iex&gt; datetime = DateTime.from_naive!(~N[2020-04-10 00:00:00], &quot;America/Rainy_River&quot;) iex&gt; {:ok, interval} = Tox.Interval.new( ...&gt; datetime, Tox.Period.new!(day: 1), :closed ...&gt; ) iex&gt; interval #Tox.Interval&lt;[2020-04-10T00:00:00-05:00/P1D]&gt; iex&gt; Tox.Interval.contains?(interval, datetime) true iex&gt; Tox.Interval.contains?(interval, Tox.DateTime.add(datetime, day: 1)) true","ref":"Tox.Interval.html","title":"Tox.Interval","type":"module"},{"doc":"Returns the previous interval.The interval boundaries are not influence the returned datetime.Examplesiex&gt; interval = Tox.Interval.new!( ...&gt; DateTime.from_naive!(~N[2020-02-01 00:00:00], &quot;Europe/Berlin&quot;), ...&gt; Tox.Period.new!(month: 1) ...&gt; ) iex&gt; datetime = DateTime.from_naive!(~N[2020-01-01 00:00:00], &quot;Europe/Berlin&quot;) iex&gt; Tox.Interval.contains?(interval, datetime) false","ref":"Tox.Interval.html#contains?/2","title":"Tox.Interval.contains?/2","type":"function"},{"doc":"Returns the datetime on which the interval ends.The interval boundaries are not influence the returned datetime.Examplesiex&gt; interval = Tox.Interval.new!( ...&gt; DateTime.from_naive!(~N[2020-01-01 00:00:00], &quot;Europe/Berlin&quot;), ...&gt; Tox.Period.new!(month: 1) ...&gt; ) iex&gt; Tox.Interval.ending_datetime(interval) #DateTime&lt;2020-02-01 00:00:00+01:00 CET Europe/Berlin&gt; iex&gt; interval = Tox.Interval.new!( ...&gt; Tox.Period.new!(month: 1), ...&gt; DateTime.from_naive!(~N[2020-01-01 00:00:00], &quot;Europe/Berlin&quot;) ...&gt; ) iex&gt; Tox.Interval.ending_datetime(interval) #DateTime&lt;2020-01-01 00:00:00+01:00 CET Europe/Berlin&gt;","ref":"Tox.Interval.html#ending_datetime/1","title":"Tox.Interval.ending_datetime/1","type":"function"},{"doc":"Creates a new interval.See module documentation for more informations.Examplesiex&gt; {:ok, interval} = Tox.Interval.new( ...&gt; DateTime.from_naive!(~N[2020-01-01 00:00:00], &quot;Europe/Berlin&quot;), ...&gt; Tox.Period.new!(month: 1) ...&gt; ) iex&gt; interval #Tox.Interval&lt;[2020-01-01T00:00:00+01:00/P1M[&gt; iex&gt; Tox.Interval.new( ...&gt; Tox.Period.new!(month: 1), ...&gt; Tox.Period.new!(month: 1) ...&gt; ) {:error, :invalid_interval}","ref":"Tox.Interval.html#new/3","title":"Tox.Interval.new/3","type":"function"},{"doc":"Creates a new interval or raises an error.See module documentation for more informations.Examplesiex&gt; Tox.Interval.new!( ...&gt; DateTime.from_naive!(~N[2020-01-01 00:00:00], &quot;Europe/Berlin&quot;), ...&gt; Tox.Period.new!(month: 1) ...&gt; ) #Tox.Interval&lt;[2020-01-01T00:00:00+01:00/P1M[&gt;","ref":"Tox.Interval.html#new!/3","title":"Tox.Interval.new!/3","type":"function"},{"doc":"Returns the next interval.The interval boundaries are not influence the returned datetime.Examplesiex&gt; interval = Tox.Interval.new!( ...&gt; DateTime.from_naive!(~N[2020-01-01 00:00:00], &quot;Europe/Berlin&quot;), ...&gt; Tox.Period.new!(month: 1) ...&gt; ) iex&gt; Tox.Interval.next(interval) #Tox.Interval&lt;[2020-02-01T00:00:00+01:00/P1M[&gt; iex&gt; interval = Tox.Interval.new!( ...&gt; Tox.Period.new!(month: 1), ...&gt; DateTime.from_naive!(~N[2020-01-01 00:00:00], &quot;Europe/Berlin&quot;) ...&gt; ) iex&gt; Tox.Interval.next(interval) #Tox.Interval&lt;[P1M/2020-02-01T00:00:00+01:00[&gt; iex&gt; interval = Tox.Interval.new!( ...&gt; DateTime.from_naive!(~N[2020-01-01 00:00:00], &quot;Europe/Berlin&quot;), ...&gt; DateTime.from_naive!(~N[2020-01-02 00:00:00], &quot;Europe/Berlin&quot;) ...&gt; ) iex&gt; Tox.Interval.next(interval) #Tox.Interval&lt;[2020-01-02T00:00:00+01:00/2020-01-03T00:00:00+01:00[&gt;","ref":"Tox.Interval.html#next/1","title":"Tox.Interval.next/1","type":"function"},{"doc":"Returns {:ok, amount} where amount is the time since the start of the interval.If the interval does not contains the given datetime an :error will be returned.Examplesiex&gt; now = DateTime.utc_now() iex&gt; interval = ...&gt; Tox.Interval.new!( ...&gt; Tox.DateTime.add(now, hour: -1), ...&gt; Tox.Period.new!(hour: 2, minute: 10) ...&gt; ) iex&gt; Tox.Interval.since_start(interval, now) {:ok, 3600} iex&gt; Tox.Interval.since_start(interval, Tox.DateTime.add(now, hour: 10)) :error","ref":"Tox.Interval.html#since_start/3","title":"Tox.Interval.since_start/3","type":"function"},{"doc":"Returns the datetime on which the interval starts.The interval boundaries are not influence the returned datetime.Examplesiex&gt; interval = Tox.Interval.new!( ...&gt; Tox.Period.new!(month: 1), ...&gt; DateTime.from_naive!(~N[2020-01-01 00:00:00], &quot;Europe/Berlin&quot;) ...&gt; ) iex&gt; Tox.Interval.start_datetime(interval) #DateTime&lt;2019-12-01 00:00:00+01:00 CET Europe/Berlin&gt; iex&gt; interval = Tox.Interval.new!( ...&gt; DateTime.from_naive!(~N[2020-01-01 00:00:00], &quot;Europe/Berlin&quot;), ...&gt; Tox.Period.new!(month: 1) ...&gt; ) iex&gt; Tox.Interval.start_datetime(interval) #DateTime&lt;2020-01-01 00:00:00+01:00 CET Europe/Berlin&gt;","ref":"Tox.Interval.html#start_datetime/1","title":"Tox.Interval.start_datetime/1","type":"function"},{"doc":"Returns {:ok, amount} where amount is the time until the ending of the interval.If the interval does not contains the given datetime an :error will be returned.Examplesiex&gt; now = DateTime.utc_now() iex&gt; interval = ...&gt; Tox.Interval.new!( ...&gt; Tox.DateTime.add(now, hour: -1), ...&gt; Tox.Period.new!(hour: 2, minute: 10) ...&gt; ) iex&gt; Tox.Interval.until_ending(interval, now) {:ok, 4200} iex&gt; Tox.Interval.until_ending(interval, Tox.DateTime.add(now, hour: 10)) :error","ref":"Tox.Interval.html#until_ending/3","title":"Tox.Interval.until_ending/3","type":"function"},{"doc":"","ref":"Tox.Interval.html#t:boundary/0","title":"Tox.Interval.boundary/0","type":"type"},{"doc":"","ref":"Tox.Interval.html#t:t/0","title":"Tox.Interval.t/0","type":"type"},{"doc":"A set of functions to work with NaiveDateTime.","ref":"Tox.NaiveDateTime.html","title":"Tox.NaiveDateTime","type":"module"},{"doc":"Adds durations to the given naive_datetime.The durations is a keyword list of one or more durations of the type Tox.duration e.g. [year: 1, day: 5, minute: 500]. All values will be added from the largest to the smallest unit.Examplesiex&gt; naive_datetime = ~N[2000-01-01 00:00:00] iex&gt; Tox.NaiveDateTime.add(naive_datetime, year: 2) ~N[2002-01-01 00:00:00] iex&gt; Tox.NaiveDateTime.add(naive_datetime, year: -2, month: 1, hour: 48) ~N[1998-02-03 00:00:00] iex&gt; Tox.NaiveDateTime.add(naive_datetime, hour: 10, minute: 10, second: 10) ~N[2000-01-01 10:10:10]Adding a month at the end of the month can update the day too.iex&gt; Tox.NaiveDateTime.add(~N[2000-01-31 00:00:00], month: 1) ~N[2000-02-29 00:00:00]For that reason it is important to know that all values will be added from the largest to the smallest unit.iex&gt; naive_datetime = DateTime.from_naive!(~N[2000-01-30 00:00:00], &quot;Europe/Oslo&quot;) iex&gt; Tox.NaiveDateTime.add(naive_datetime, month: 1, day: 1) ~N[2000-03-01 00:00:00+01:00] iex&gt; naive_datetime |&gt; Tox.NaiveDateTime.add(month: 1) |&gt; Tox.NaiveDateTime.add(day: 1) ~N[2000-03-01 00:00:00+01:00] iex&gt; naive_datetime |&gt; Tox.NaiveDateTime.add(day: 1) |&gt; Tox.NaiveDateTime.add(month: 1) ~N[2000-02-29 00:00:00+01:00]Using add/2 with a different calendar.iex&gt; ~N[2012-09-03 02:30:00] ...&gt; |&gt; NaiveDateTime.convert!(Cldr.Calendar.Ethiopic) ...&gt; |&gt; Tox.NaiveDateTime.add(day: 6) %NaiveDateTime{ calendar: Cldr.Calendar.Ethiopic, year: 2004, month: 13, day: 4, hour: 2, minute: 30, second: 0, microsecond: {0, 0} }","ref":"Tox.NaiveDateTime.html#add/2","title":"Tox.NaiveDateTime.add/2","type":"function"},{"doc":"Returns true if naive_datetime1 occurs after naive_datetime2.Examplesiex&gt; Tox.NaiveDateTime.after?( ...&gt; ~N[2020-06-14 15:01:43.999999], ...&gt; ~N[2020-06-14 15:01:43.000001] ...&gt; ) true iex&gt; Tox.NaiveDateTime.after?( ...&gt; ~N[2020-06-14 15:01:43], ...&gt; ~N[2020-06-14 15:01:43] ...&gt; ) false iex&gt; Tox.NaiveDateTime.after?( ...&gt; ~N[2020-06-14 15:01:43.000001], ...&gt; ~N[2020-06-14 15:01:43.999999] ...&gt; ) false","ref":"Tox.NaiveDateTime.html#after?/2","title":"Tox.NaiveDateTime.after?/2","type":"macro"},{"doc":"Returns true if naive_datetime1 occurs after naive_datetime2 or both naive datetimes are equal.Examplesiex&gt; Tox.NaiveDateTime.after_or_equal?( ...&gt; ~N[2020-06-14 15:01:43.999999], ...&gt; ~N[2020-06-14 15:01:43.000001] ...&gt; ) true iex&gt; Tox.NaiveDateTime.after_or_equal?( ...&gt; ~N[2020-06-14 15:01:43], ...&gt; ~N[2020-06-14 15:01:43] ...&gt; ) true iex&gt; Tox.NaiveDateTime.after_or_equal?( ...&gt; ~N[2020-06-14 15:01:43.000001], ...&gt; ~N[2020-06-14 15:01:43.999999] ...&gt; ) false","ref":"Tox.NaiveDateTime.html#after_or_equal?/2","title":"Tox.NaiveDateTime.after_or_equal?/2","type":"macro"},{"doc":"Returns true if naive_datetime1 occurs before naive_datetime2.Examplesiex&gt; Tox.NaiveDateTime.before?( ...&gt; ~N[2020-06-14 15:01:43.000001], ...&gt; ~N[2020-06-14 15:01:43.999999] ...&gt; ) true iex&gt; Tox.NaiveDateTime.before?( ...&gt; ~N[2020-06-14 15:01:43], ...&gt; ~N[2020-06-14 15:01:43] ...&gt; ) false iex&gt; Tox.NaiveDateTime.before?( ...&gt; ~N[2020-06-14 15:01:43.999999], ...&gt; ~N[2020-06-14 15:01:43.000001] ...&gt; ) false","ref":"Tox.NaiveDateTime.html#before?/2","title":"Tox.NaiveDateTime.before?/2","type":"macro"},{"doc":"Returns true if naive_datetime1 occurs before naive_datetime2 or both naive datetimes are equal.Examplesiex&gt; Tox.NaiveDateTime.before_or_equal?( ...&gt; ~N[2020-06-14 15:01:43.000001], ...&gt; ~N[2020-06-14 15:01:43.999999] ...&gt; ) true iex&gt; Tox.NaiveDateTime.before_or_equal?( ...&gt; ~N[2020-06-14 15:01:43], ...&gt; ~N[2020-06-14 15:01:43] ...&gt; ) true iex&gt; Tox.NaiveDateTime.before_or_equal?( ...&gt; ~N[2020-06-14 15:01:43.999999], ...&gt; ~N[2020-06-14 15:01:43.000001] ...&gt; ) false","ref":"Tox.NaiveDateTime.html#before_or_equal?/2","title":"Tox.NaiveDateTime.before_or_equal?/2","type":"macro"},{"doc":"Returns a naive datetime} representing the start of the day.Examplesiex&gt; Tox.NaiveDateTime.beginning_of_day(~N[2020-03-29 13:00:00.123456]) ~N[2020-03-29 00:00:00.000000]","ref":"Tox.NaiveDateTime.html#beginning_of_day/1","title":"Tox.NaiveDateTime.beginning_of_day/1","type":"function"},{"doc":"Returns a naive datetime representing the start of the month.Examplesiex&gt; Tox.NaiveDateTime.beginning_of_month(~N[2020-11-11 11:11:11]) ~N[2020-11-01 00:00:00]","ref":"Tox.NaiveDateTime.html#beginning_of_month/1","title":"Tox.NaiveDateTime.beginning_of_month/1","type":"function"},{"doc":"Returns a naive datetime representing the start of the week.Examplesiex&gt; Tox.NaiveDateTime.beginning_of_week(~N[2020-07-22 11:11:11]) ~N[2020-07-20 00:00:00]","ref":"Tox.NaiveDateTime.html#beginning_of_week/1","title":"Tox.NaiveDateTime.beginning_of_week/1","type":"function"},{"doc":"Returns a naive datetime representing the start of the year.Examplesiex&gt; Tox.NaiveDateTime.beginning_of_year(~N[2020-11-11 11:11:11]) ~N[2020-01-01 00:00:00]","ref":"Tox.NaiveDateTime.html#beginning_of_year/1","title":"Tox.NaiveDateTime.beginning_of_year/1","type":"function"},{"doc":"Returns a boolean indicating whether naive_datetime occurs between from and to. The optional boundaries specifies whether from and to are included or not. The possible value for boundaries are::open: from and to are excluded:closed: from and to are included:left_open: from is excluded and to is included:right_open: from is included and to is excludedExamplesiex&gt; from = ~N[2020-04-05 12:30:00] iex&gt; to = ~N[2020-04-15 12:30:00] iex&gt; Tox.NaiveDateTime.between?(~N[2020-04-01 12:00:00], from, to) false iex&gt; Tox.NaiveDateTime.between?(~N[2020-04-11 12:30:00], from, to) true iex&gt; Tox.NaiveDateTime.between?(~N[2020-04-21 12:30:00], from, to) false iex&gt; Tox.NaiveDateTime.between?(from, from, to) true iex&gt; Tox.NaiveDateTime.between?(to, from, to) false iex&gt; Tox.NaiveDateTime.between?(from, from, to, :open) false iex&gt; Tox.NaiveDateTime.between?(to, from, to, :open) false iex&gt; Tox.NaiveDateTime.between?(from, from, to, :closed) true iex&gt; Tox.NaiveDateTime.between?(to, from, to, :closed) true iex&gt; Tox.NaiveDateTime.between?(from, from, to, :left_open) false iex&gt; Tox.NaiveDateTime.between?(to, from, to, :left_open) true iex&gt; Tox.NaiveDateTime.between?(~N[1900-01-01 00:00:00], to, from) ** (ArgumentError) from is equal or greater as to","ref":"Tox.NaiveDateTime.html#between?/4","title":"Tox.NaiveDateTime.between?/4","type":"function"},{"doc":"Returns datetime representing the end of the day.Examplesiex&gt; Tox.NaiveDateTime.end_of_day(~N[2020-03-29 01:00:00]) ~N[2020-03-29 23:59:59.999999]","ref":"Tox.NaiveDateTime.html#end_of_day/1","title":"Tox.NaiveDateTime.end_of_day/1","type":"function"},{"doc":"Returns a datetime} representing the end of the month.Examplesiex&gt; Tox.NaiveDateTime.end_of_month(~N[2020-11-11 11:11:11]) ~N[2020-11-30 23:59:59.999999]","ref":"Tox.NaiveDateTime.html#end_of_month/1","title":"Tox.NaiveDateTime.end_of_month/1","type":"function"},{"doc":"Returns a datetime representing the end of the week.Examplesiex&gt; Tox.NaiveDateTime.end_of_week(~N[2020-07-22 11:11:11]) ~N[2020-07-26 23:59:59.999999]","ref":"Tox.NaiveDateTime.html#end_of_week/1","title":"Tox.NaiveDateTime.end_of_week/1","type":"function"},{"doc":"Returns a naive datetime representing the end of the year.Examplesiex&gt; Tox.NaiveDateTime.end_of_year(~N[2020-03-29 01:00:00]) ~N[2020-12-31 23:59:59.999999]With the Ethiopic calendar.iex&gt; naive_datetime = NaiveDateTime.convert!(~N[2020-10-26 02:30:00], Cldr.Calendar.Ethiopic) iex&gt; to_string(naive_datetime) &quot;2013-02-16 02:30:00&quot; iex&gt; naive_datetime |&gt; Tox.NaiveDateTime.end_of_year() |&gt; to_string() &quot;2013-13-05 23:59:59.999999&quot;","ref":"Tox.NaiveDateTime.html#end_of_year/1","title":"Tox.NaiveDateTime.end_of_year/1","type":"function"},{"doc":"Returns true if both naive datetimes are equal.Examplesiex&gt; Tox.NaiveDateTime.equal?( ...&gt; ~N[2020-06-14 15:01:43.999999], ...&gt; ~N[2020-06-14 15:01:43.000001] ...&gt; ) false iex&gt; Tox.NaiveDateTime.equal?( ...&gt; ~N[2020-06-14 15:01:43], ...&gt; ~N[2020-06-14 15:01:43] ...&gt; ) true iex&gt; Tox.NaiveDateTime.equal?( ...&gt; ~N[2020-06-14 15:01:43.000001], ...&gt; ~N[2020-06-14 15:01:43.999999] ...&gt; ) false","ref":"Tox.NaiveDateTime.html#equal?/2","title":"Tox.NaiveDateTime.equal?/2","type":"macro"},{"doc":"Returns an {year, week} representing the ISO week number for the specified date.This function is just defined for datetimes with Calendar.ISO.Exampleiex&gt; Tox.NaiveDateTime.week(~N[2017-01-01 01:00:00]) {2016, 52} iex&gt; Tox.NaiveDateTime.week(~N[2019-12-31 01:00:00]) {2020, 1} iex&gt; Tox.NaiveDateTime.week(~N[2020-01-01 01:00:00]) {2020, 1} iex&gt; ~N[2020-06-04 11:12:13] ...&gt; |&gt; NaiveDateTime.convert(Cldr.Calendar.Persian) ...&gt; |&gt; Tox.NaiveDateTime.week() ** (FunctionClauseError) no function clause matching in Tox.NaiveDateTime.week/1","ref":"Tox.NaiveDateTime.html#week/1","title":"Tox.NaiveDateTime.week/1","type":"function"},{"doc":"A Period struct and functions.The Period struct contains the fields year, month, week, day, hour, minute and second. The values for the fields are representing the amount of time for an unit. Expected second, all values are integers equals or greater 0. The filed second can also be a float equals or greate 0.","ref":"Tox.Period.html","title":"Tox.Period","type":"module"},{"doc":"Creates a new period from durations. All values in the durations must be equal or greater 0.Examplesiex&gt; {:ok, period} = Tox.Period.new(day: 4, hour: 5) iex&gt; period #Tox.Period&lt;P4DT5H&gt; iex&gt; Tox.Period.new(minute: -1) {:error, :invalid_period}","ref":"Tox.Period.html#new/1","title":"Tox.Period.new/1","type":"function"},{"doc":"Creates a new period. All values in durations must be greater or equal 0.Examplesiex&gt; {:ok, period} = Tox.Period.new(1, 2, 3, 4, 5, 6, 7.8) iex&gt; period #Tox.Period&lt;P1Y2M3W4DT5H6M7.8S&gt; iex&gt; Tox.Period.new(1, 2, 3, 4, 5, 6, -7.8) {:error, :invalid_period}","ref":"Tox.Period.html#new/7","title":"Tox.Period.new/7","type":"function"},{"doc":"Creates a new period from durations or raises an error.See new/1 for more informations.Examplesiex&gt; Tox.Period.new!(month: 1, minute: 1) #Tox.Period&lt;P1MT1M&gt; iex&gt; Tox.Period.new!(year: 0.5) ** (ArgumentError) cannot create a new period with [year: 0.5], reason: :invalid_period","ref":"Tox.Period.html#new!/1","title":"Tox.Period.new!/1","type":"function"},{"doc":"Creates a new period or raise an error.See new/7 for more informations.Examplesiex&gt; Tox.Period.new!(1, 2, 3, 4, 5, 6, 7.8) #Tox.Period&lt;P1Y2M3W4DT5H6M7.8S&gt; iex&gt; Tox.Period.new!(1, 2, 3, 4, 5, 6, -7.8) ** (ArgumentError) cannot create a new period with [year: 1, month: 2, week: 3, day: 4, hour: 5, minute: 6, second: -7.8], reason: :invalid_period","ref":"Tox.Period.html#new!/7","title":"Tox.Period.new!/7","type":"function"},{"doc":"Creates a new period from a string.A string representation of a period has the format PiYiMiWiDTiHiMfS. The i represents an integer and the f a float. All integers and the float must be equal or greater as 0. Leading zeros are not required. The capital letters P , Y, M, W, D, T, H, M, and S are designators for each of the date and time elements and are not replaced.P is the period designator (optional).Y is the year designator that follows the value for the number of years.M is the month designator that follows the value for the number of months.W is the week designator that follows the value for the number of weeks.D is the day designator that follows the value for the number of days.T is the time designator that precedes the time components of the representation.H is the hour designator that follows the value for the number of hours.M is the minute designator that follows the value for the number of minutes.S is the second designator that follows the value for the number of seconds.Examplesiex&gt; Tox.Period.parse(&quot;1Y3M&quot;) Tox.Period.new(year: 1, month: 3) iex&gt; Tox.Period.parse(&quot;T12M5.5S&quot;) Tox.Period.new(minute: 12, second: 5.5) iex&gt; Tox.Period.parse(&quot;P1Y3MT2H&quot;) Tox.Period.new(year: 1, month: 3, hour: 2) iex&gt; Tox.Period.parse(&quot;1y&quot;) {:error, :invalid_format}","ref":"Tox.Period.html#parse/1","title":"Tox.Period.parse/1","type":"function"},{"doc":"Creates a new period from a string.See parse/1 for more informations.Examplesiex&gt; Tox.Period.parse!(&quot;T12M5.5S&quot;) #Tox.Period&lt;PT12M5.5S&gt; iex&gt; Tox.Period.parse!(&quot;1y&quot;) ** (ArgumentError) cannot parse &quot;1y&quot; as period, reason: :invalid_format","ref":"Tox.Period.html#parse!/1","title":"Tox.Period.parse!/1","type":"function"},{"doc":"Returns the period as [Tox.duration]. The optional sign can be :pos for positive durations and :neg for negative durations, defaults to :pos. A duration with an amount of 0 will be excluded form the durations.Examplesiex&gt; {:ok, period} = Tox.Period.parse(&quot;P1Y3MT2H1.123S&quot;) iex&gt; Tox.Period.to_durations(period) [year: 1, month: 3, hour: 2, second: 1, microsecond: 123000] iex&gt; Tox.Period.to_durations(period, :neg) [year: -1, month: -3, hour: -2, second: -1, microsecond: -123000] iex&gt; {:ok, period} = Tox.Period.parse(&quot;1MT1M&quot;) iex&gt; Tox.Period.to_durations(period) [month: 1, minute: 1]","ref":"Tox.Period.html#to_durations/2","title":"Tox.Period.to_durations/2","type":"function"},{"doc":"An amount of time with a specified unit e.g. {second: 5.500} or {hour: 1}. The amount of all durations must be equal or greater as 0.","ref":"Tox.Period.html#t:duration/0","title":"Tox.Period.duration/0","type":"type"},{"doc":"","ref":"Tox.Period.html#t:t/0","title":"Tox.Period.t/0","type":"type"},{"doc":"A ~P sigil for periods.","ref":"Tox.Period.Sigil.html","title":"Tox.Period.Sigil","type":"module"},{"doc":"Handles the sigil ~P for periods.Examplesiex&gt; import Tox.Period.Sigil iex&gt; ~P[1Y2DT1H10.10S] #Tox.Period&lt;P1Y2DT1H10.1S&gt; iex&gt; ~P[1y] ** (ArgumentError) cannot parse &quot;1y&quot; as period","ref":"Tox.Period.Sigil.html#sigil_P/2","title":"Tox.Period.Sigil.sigil_P/2","type":"function"},{"doc":"A set of functions to work with Time.","ref":"Tox.Time.html","title":"Tox.Time","type":"module"},{"doc":"Adds durations to the given naive_datetime.The durations is a keyword list of one or more durations of the type Tox.duration e.g. [hour: 1, minute: 5, second: 500].Examplesiex&gt; time = ~T[12:00:00] iex&gt; Tox.Time.add(time, hour: 2) ~T[14:00:00.000000] iex&gt; Tox.Time.add(time, hour: -2, minute: 10, second: 48) ~T[10:10:48.000000] iex&gt; Tox.Time.add(time, day: 2) ~T[12:00:00.000000] iex&gt; Tox.Time.add(time, minute: 90) ~T[13:30:00.000000] iex&gt; Tox.Time.add(time, minute: -90) ~T[10:30:00.000000] iex&gt; Tox.Time.add(time, minute: -59, hour: -23) ~T[12:01:00.000000] iex&gt; Tox.Time.add(time, minute: -24 * 60) ~T[12:00:00.000000] iex&gt; Tox.Time.add(time, second: 24 * 60 * 60) ~T[12:00:00.000000]","ref":"Tox.Time.html#add/2","title":"Tox.Time.add/2","type":"function"},{"doc":"Returns true if time1 occurs after time2.Examplesiex&gt; Tox.Time.after?(~T[10:00:00], ~T[10:00:00.1]) false iex&gt; Tox.Time.after?(~T[12:00:00], ~T[11:59:59]) true iex&gt; Tox.Time.after?(~T[12:00:00], ~T[12:00:00]) false iex&gt; Tox.Time.after?( ...&gt; Time.convert!(~T[23:23:23], Cldr.Calendar.Coptic), ...&gt; Time.convert!(~T[01:59:59], Cldr.Calendar.Coptic) ...&gt; ) true","ref":"Tox.Time.html#after?/2","title":"Tox.Time.after?/2","type":"macro"},{"doc":"Returns true if time1 occurs after time2 or both dates are equal.Examplesiex&gt; Tox.Time.after_or_equal?(~T[10:00:00], ~T[10:00:00.1]) false iex&gt; Tox.Time.after_or_equal?(~T[12:00:00], ~T[11:59:59]) true iex&gt; Tox.Time.after_or_equal?(~T[12:00:00], ~T[12:00:00]) true iex&gt; Tox.Time.after_or_equal?( ...&gt; Time.convert!(~T[23:23:23], Cldr.Calendar.Coptic), ...&gt; Time.convert!(~T[01:59:59], Cldr.Calendar.Coptic) ...&gt; ) true","ref":"Tox.Time.html#after_or_equal?/2","title":"Tox.Time.after_or_equal?/2","type":"macro"},{"doc":"Returns true if time1 occurs before time2.Examplesiex&gt; Tox.Time.before?(~T[10:00:00], ~T[10:00:00.1]) true iex&gt; Tox.Time.before?(~T[12:00:00], ~T[11:59:59]) false iex&gt; Tox.Time.before?(~T[12:00:00], ~T[12:00:00]) false iex&gt; Tox.Time.before?( ...&gt; Time.convert!(~T[23:23:23], Cldr.Calendar.Coptic), ...&gt; Time.convert!(~T[01:59:59], Cldr.Calendar.Coptic) ...&gt; ) false","ref":"Tox.Time.html#before?/2","title":"Tox.Time.before?/2","type":"macro"},{"doc":"Returns true if time1 occurs before time2 or both dates are equal.Examplesiex&gt; Tox.Time.before_or_equal?(~T[10:00:00], ~T[10:00:00.1]) true iex&gt; Tox.Time.before_or_equal?(~T[12:00:00], ~T[11:59:59]) false iex&gt; Tox.Time.before_or_equal?(~T[12:00:00], ~T[12:00:00]) true iex&gt; Tox.Time.before_or_equal?( ...&gt; Time.convert!(~T[23:23:23], Cldr.Calendar.Coptic), ...&gt; Time.convert!(~T[01:59:59], Cldr.Calendar.Coptic) ...&gt; ) false","ref":"Tox.Time.html#before_or_equal?/2","title":"Tox.Time.before_or_equal?/2","type":"macro"},{"doc":"Returns a boolean indicating whether date occurs between from and to. The optional boundaries specifies whether from and to are included or not. The possible value for boundaries are::open: from and to are excluded:closed: from and to are included:left_open: from is excluded and to is included:right_open: from is included and to is excludedExamplesiex&gt; from = ~T[10:00:00] iex&gt; to = ~T[14:00:00] iex&gt; Tox.Time.between?(~T[09:00:00], from, to) false iex&gt; Tox.Time.between?(~T[12:00:00], from, to) true iex&gt; Tox.Time.between?(~T[23:00:00], from, to) false iex&gt; Tox.Time.between?(~T[10:00:00], from, to) true iex&gt; Tox.Time.between?(~T[14:00:00], from, to) false iex&gt; Tox.Time.between?(~T[10:00:00], from, to, :open) false iex&gt; Tox.Time.between?(~T[14:00:00], from, to, :open) false iex&gt; Tox.Time.between?(~T[10:00:00], from, to, :closed) true iex&gt; Tox.Time.between?(~T[14:00:00], from, to, :closed) true iex&gt; Tox.Time.between?(~T[10:00:00], from, to, :left_open) false iex&gt; Tox.Time.between?(~T[14:00:00], from, to, :left_open) true iex&gt; Tox.Time.between?(~T[00:00:00], to, from) ** (ArgumentError) from is equal or greater as to","ref":"Tox.Time.html#between?/4","title":"Tox.Time.between?/4","type":"function"},{"doc":"Returns true if both times are equal.Examplesiex&gt; Tox.Time.equal?(~T[11:11:11], ~T[22:22:22]) false iex&gt; Tox.Time.equal?(~T[12:12:12], ~T[12:12:12]) true","ref":"Tox.Time.html#equal?/2","title":"Tox.Time.equal?/2","type":"macro"},{"doc":"Return the maximum time.Exampleiex&gt; Tox.Time.max() ~T[23:59:59.999999] iex&gt; Tox.Time.max(Cldr.Calendar.Ethiopic) %Time{ hour: 23, minute: 59, second: 59, microsecond: {999999, 6}, calendar: Cldr.Calendar.Ethiopic }","ref":"Tox.Time.html#max/1","title":"Tox.Time.max/1","type":"function"},{"doc":"Return the minimal time.Examplesiex&gt; Tox.Time.min() ~T[00:00:00] iex&gt; Tox.Time.min(Cldr.Calendar.Coptic) %Time{ hour: 0, minute: 0, second: 0, microsecond: {0, 0}, calendar: Cldr.Calendar.Coptic }","ref":"Tox.Time.html#min/1","title":"Tox.Time.min/1","type":"function"},{"doc":"Tox Some structs and functions to work with dates, times, periods, and intervals.Tox needs Elixir 1.8 or greater. The library works with any Calendar.time_zone_database and any Calendar.The tests and examples are using the time zone database from TimeZoneInfo and the calendars Calendar.ISO, Cldr.Calendar.Coptic, Cldr.Calendar.Ethiopic, and Cldr.Calendar.Persian.","ref":"readme.html","title":"Tox","type":"extras"},{"doc":"The package can be installed by adding tox to your list of dependencies in mix.exs. Fox time zone support you can install time_zone_info, tz, or tzdata.def deps do [ {:tox, &quot;~&gt; 0.1&quot;} # add one of the following packages for time zone support # {:time_zone_info, &quot;~&gt; 0.5&quot;} # {:tz, &quot;~&gt; 0.10&quot;} # {:tzdata, &quot;~&gt; 1.0&quot;} ] end","ref":"readme.html#installation","title":"Tox - Installation","type":"extras"},{"doc":"Tox assumes that a week consists of 7 days. This assumption is not true for all calendars.The functions Tox.DateTime.week/1, Tox.NaiveDateTime.week/1, and Tox.Date.week/1 are just defined for Calendar.ISO. This functions are returning a tuple of the year and the week number.","ref":"readme.html#notes","title":"Tox - Notes","type":"extras"},{"doc":"Some examples how to use Tox. For more information and examples, see API reference.before and after:iex&gt; datetime = DateTime.from_naive!(~N[2020-03-10 12:00:00], &quot;Europe/Berlin&quot;) iex&gt; Tox.DateTime.before?(datetime, Tox.DateTime.add(datetime, day: 1)) true iex&gt; Tox.DateTime.before_or_equal?(datetime, datetime) true iex&gt; Tox.DateTime.after?(datetime, Tox.DateTime.add(datetime, day: 1)) falseadd and subtract:iex&gt; datetime = DateTime.from_naive!(~N[2020-01-01 12:00:00], &quot;Europe/Oslo&quot;) iex&gt; Tox.DateTime.add(datetime, year: 2, month: -3, day: 2, hour: -24, minute: 10) #DateTime&lt;2021-10-02 12:10:00+02:00 CEST Europe/Oslo&gt; iex&gt; naive_datetime = ~N[2020-01-01 12:00:00] iex&gt; Tox.NaiveDateTime.add(naive_datetime, year: 2, month: -3, day: 2, hour: -24, minute: 10) ~N[2021-10-02 12:10:00+02:00] iex&gt; Tox.Date.add(~D[2020-01-01], year: 2, month: -3, day: 2) ~D[2021-10-03] iex&gt; Tox.Time.add(~T[00:00:00], hour: 2, minute: -10, microsecond: 99) ~T[01:50:00.000099] iex&gt; {:ambiguous, datetime1, datetime2} = ...&gt; DateTime.from_naive(~N[2020-10-25 02:30:00], &quot;Europe/Oslo&quot;) iex&gt; Tox.DateTime.add(datetime1, hour: 1) == datetime2 true # falling into a gap iex&gt; datetime = DateTime.from_naive!(~N[2020-03-29 01:30:00], &quot;Europe/Paris&quot;) #DateTime&lt;2020-03-29 01:30:00+01:00 CET Europe/Paris&gt; iex&gt; Tox.DateTime.add(datetime, minute: 40) #DateTime&lt;2020-03-29 03:10:00+02:00 CEST Europe/Paris&gt;period and interval:iex&gt; now = DateTime.from_naive!(~N[2020-07-12 21:33:43], &quot;America/New_York&quot;) iex&gt; period = Tox.Period.new!(month: 1) #Tox.Period&lt;P1M&gt; iex&gt; interval = Tox.Interval.new!(Tox.DateTime.beginning_of_month(now), period) #Tox.Interval&lt;[2020-07-01T00:00:00-04:00/P1M[&gt; iex&gt; Tox.Interval.contains?(interval, now) true iex&gt; Tox.Interval.since_start(interval, now, :millisecond) {:ok, 1028023000} iex&gt; Tox.Interval.until_ending(interval, now, :millisecond) {:ok, 1650377000} iex&gt; Tox.Interval.until_ending(interval, Tox.DateTime.add(now, month: 1), :millisecond) :errorbeginning and end ofiex&gt; ~N[2020-07-12 11:12:13] ...&gt; |&gt; DateTime.from_naive!(&quot;America/Winnipeg&quot;) ...&gt; |&gt; Tox.DateTime.beginning_of_year() #DateTime&lt;2020-01-01 00:00:00-06:00 CST America/Winnipeg&gt; iex&gt; ~N[2020-07-12 11:12:13] ...&gt; |&gt; DateTime.from_naive!(&quot;Europe/Berlin&quot;) ...&gt; |&gt; Tox.DateTime.end_of_year() #DateTime&lt;2020-12-31 23:59:59.999999+01:00 CET Europe/Berlin&gt; # In 1994 the year ended one day earlier in the time zone Pacific/Kirimati. iex&gt; ~N[1994-07-12 11:12:13] ...&gt; |&gt; DateTime.from_naive!(&quot;Pacific/Kiritimati&quot;) ...&gt; |&gt; Tox.DateTime.end_of_year() #DateTime&lt;1994-12-30 23:59:59.999999-10:00 -10 Pacific/Kiritimati&gt; iex&gt; Tox.NaiveDateTime.beginning_of_day(~N[2020-01-01 12:00:00]) ~N[2020-01-01 00:00:00] iex&gt; Tox.NaiveDateTime.end_of_day(~N[2020-01-01 12:00:00]) ~N[2020-01-01 23:59:59.999999] iex&gt; Tox.Date.beginning_of_week(~D[2020-01-10]) ~D[2020-01-06] iex&gt; Tox.Date.end_of_week(~D[2020-01-10]) ~D[2020-01-12]","ref":"readme.html#usage","title":"Tox - Usage","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"The very first version.","ref":"changelog.html#0-1-0-2020-07-20","title":"Changelog - 0.1.0 - 2020/07/20","type":"extras"}]